## License checking and fixing with Skywalking Eyes

After tweaking the `licenserc.yaml` in the project root:

```license-eye header check -v debug```

```license-eye header fix -v debug```

(be patient; takes forever)

### Docs
https://github.com/apache/skywalking-eyes/blob/v0.1.0/README.md

### Requirements

Apache Skywalking Eyes project:
https://skywalking.apache.org/

various agents are available on the downloads/ page,
https://skywalking.apache.org/downloads/

**Skywalking license-eye**:
https://www.apache.org/dyn/closer.cgi/skywalking/eyes/0.1.0/skywalking-license-eye-0.1.0-src.tgz

Python agent:

https://dlcdn.apache.org/skywalking/python/0.7.0/skywalking-python-src-0.7.0.tgz

NodeJS agent:

https://www.apache.org/dyn/closer.cgi/skywalking/node-js/0.3.0/skywalking-nodejs-src-0.3.0.tgz

Client-side JavaScript agent:

https://www.apache.org/dyn/closer.cgi/skywalking/client-js/0.6.0/skywalking-client-js-0.6.0-src.tgz


### How I got it to work
(@jgoldste, 10-2021)

**Start by reading the `README.md`s!**

easiest way:
`npm install skywalking-eyes --save`

should also work:
```
cd /usr/local/opt
git clone https://github.com/apache/skywalking-eyes
cd skywalking-eyes/
make build
```

where I put the MacOS binary:

`/usr/local/opt/skywalking-eyes/bin/darwin/license-eye`

